aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.CopyObject

# Documentation

data CopyMetadataDirective Source #

Constructors

CopyMetadata |
ReplaceMetadata [(Text, Text)] |

#### Instances

Instances details

Show CopyMetadataDirective Source # |
Instance details Defined in Aws.S3.Commands.CopyObject Methods showsPrec :: Int -> CopyMetadataDirective -> ShowS Source # show :: CopyMetadataDirective -> String Source # showList :: [CopyMetadataDirective] -> ShowS Source #

data CopyObject Source #

Constructors

CopyObject |

Fields

- coObjectName :: Text
- coBucket :: Bucket
- coSource :: ObjectId
- coMetadataDirective :: CopyMetadataDirective
- coIfMatch :: Maybe Text
- coIfNoneMatch :: Maybe Text
- coIfUnmodifiedSince :: Maybe UTCTime
- coIfModifiedSince :: Maybe UTCTime
- coStorageClass :: Maybe StorageClass
- coAcl :: Maybe CannedAcl
- coContentType :: Maybe ByteString

#### Instances

Instances details

SignQuery CopyObject Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ServiceConfiguration CopyObject |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration

Methods

signQuery :: CopyObject -> ServiceConfiguration CopyObject queryType -> SignatureData -> SignedQuery Source #

Show CopyObject Source # |
Instance details Defined in Aws.S3.Commands.CopyObject Methods showsPrec :: Int -> CopyObject -> ShowS Source # show :: CopyObject -> String Source # showList :: [CopyObject] -> ShowS Source #
ResponseConsumer CopyObject CopyObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ResponseMetadata CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse Source #

Transaction CopyObject CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject
type ServiceConfiguration CopyObject Source # |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration

copyObject :: Bucket -> Text -> ObjectId -> CopyMetadataDirective -> CopyObject Source #

data CopyObjectResponse Source #

Constructors

CopyObjectResponse |

Fields

- corVersionId :: Maybe Text
- corLastModified :: UTCTime
- corETag :: Text

#### Instances

Instances details

AsMemoryResponse CopyObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type MemoryResponse CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse

Methods

loadToMemory :: CopyObjectResponse -> ResourceT IO (MemoryResponse CopyObjectResponse) Source #

Show CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject Methods showsPrec :: Int -> CopyObjectResponse -> ShowS Source # show :: CopyObjectResponse -> String Source # showList :: [CopyObjectResponse] -> ShowS Source #
ResponseConsumer CopyObject CopyObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ResponseMetadata CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse Source #

Transaction CopyObject CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject
type MemoryResponse CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse
type ResponseMetadata CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata